Bug 1462091 - [dhclient] Missing uid in lease filename
[dhclient] Missing uid in lease filename
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dhcp (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Zhukov
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 03:33 EDT by Leos Pol
Modified: 2017-07-03 04:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-03 04:22:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leos Pol 2017-06-16 03:33:31 EDT
Description of problem:
Without NetworkManager dhclient creates lease file in /var/lib/dhclient/ in format dhclient-{uid}-{iface}.lease. I'm not sure, what is uid, but comparing with dhclient-4.2.5-47.el7, new version has uid blank.

Version-Release number of selected component (if applicable):
dhclient-4.2.5-58.el7

How reproducible:
always on my system

Steps to Reproduce:
1. systemctl stop NetworkManager
2. systemctl restart network
3. ps -ef | grep dhclient

Actual results:
root     10858     1  0 03:18 ?        00:00:00 /sbin/dhclient -1 -q -lf /var/lib/dhclient/dhclient--eth0.lease -pf /var/run/dhclient-eth0.pid -H qeos-117 eth0


Expected results:
root      9796  0.0  0.6 112820 12788 ?        Ss   03:20   0:00 /sbin/dhclient -H qeos-124 -1 -q -lf /var/lib/dhclient/dhclient-a3cbc97c-53c9-4cec-bd7d-51054f677d9a-eth0.lease -pf /var/run/dhclient-eth0.pid eth0


Additional info:
Comment 2 Pavel Zhukov 2017-06-27 09:21:46 EDT
Hi Leos,

initscripts (not dhclient) takes UUID from ifcfg- file (one in /etc/sysconfig/network-scripts/ifcfg-<iface> name).  As this parameter is not mandatory it can be skipped and in that case you'll have blank uuid and "--" in leases filename.
Please confirm it's the case for you.
Comment 4 Pavel Zhukov 2017-07-03 04:22:48 EDT
Closing as per https://bugzilla.redhat.com/show_bug.cgi?id=1462091#c2
Feel free to open bug on initscripts if it's not the case and uuid is missed even if it was properly specified in ifcfg file
Comment 5 Leos Pol 2017-07-03 04:46:47 EDT
Pavel, you're right. My 7.3 machine has uuid generated in ifcfg, but 7.4 not. Thanks for explanation.

Note You need to log in before you can comment on or make changes to this bug.